Index: /GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/LBBCSampleConfigFile.cpp
===================================================================
--- /GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/LBBCSampleConfigFile.cpp	(revision 721)
+++ /GTP/trunk/Lib/Illum/IBRBillboardCloudTrees/OGRE/src/LBBCSampleConfigFile.cpp	(revision 731)
@@ -11,7 +11,12 @@
 }
 
-Ogre::String SampleConfigFile::getEntitySampleMeshPrefixFilename()
-{
-	return getSetting("Entity Sample Mesh Prefix Filename");
+Ogre::String SampleConfigFile::getEntitySampleMaterialPrefixName()
+{
+	return getSetting("Entity Sample Material Prefix Name");
+}
+
+Ogre::String SampleConfigFile::getEntitySampleMeshPrefixName()
+{
+	return getSetting("Entity Sample Mesh Prefix Name");
 }
 
@@ -41,7 +46,7 @@
 }
 
-Ogre::String SampleConfigFile::getEntityDistributionXMLPrefixFilename()
-{
-	return getSetting("Entity Distribution XML Prefix Filename");
+Ogre::String SampleConfigFile::getEntityDistributionXMLPrefixName()
+{
+	return getSetting("Entity Distribution XML Prefix Name");
 }
 
@@ -52,12 +57,12 @@
 
 
-Ogre::String SampleConfigFile::getEntitiesMeshPrefixFilename()
-{
-	return getSetting("Entities Mesh Prefix Filename");
-}
-
-Ogre::String SampleConfigFile::getBillboardCloudXMLPrefixFilename()
-{
-	return getSetting("Billboard Cloud XML Prefix Filename");
+Ogre::String SampleConfigFile::getEntitiesMeshPrefixName()
+{
+	return getSetting("Entities Mesh Prefix Name");
+}
+
+Ogre::String SampleConfigFile::getBillboardCloudXMLPrefixName()
+{
+	return getSetting("Billboard Cloud XML Prefix Name");
 }
 
@@ -122,12 +127,12 @@
 }
 
-Ogre::String SampleConfigFile::getEntityClustersMeshPrefixFilename()
-{
-	return getSetting("Entity Clusters Mesh Prefix Filename");
-}
-
-Ogre::String SampleConfigFile::getEntityClustersMaterialPrefixFilename()
-{
-	return getSetting("Entity Clusters Material Prefix Filename");
+Ogre::String SampleConfigFile::getEntityClustersMeshPrefixName()
+{
+	return getSetting("Entity Clusters Mesh Prefix Name");
+}
+
+Ogre::String SampleConfigFile::getEntityClustersMaterialPrefixName()
+{
+	return getSetting("Entity Clusters Material Prefix Name");
 }
 
@@ -137,42 +142,42 @@
 }
 
-Ogre::String SampleConfigFile::getBillboardCloudMeshPrefixFilename()
-{
-	return getSetting("Billboard Cloud Mesh Prefix Filename");
-}
-
-Ogre::String SampleConfigFile::getBillboardCloudMaterialPrefixFilename()
-{
-	return getSetting("Billboard Cloud Material Prefix Filename");
-}
-
-bool SampleConfigFile::getBillboardCloudDiffuseColorTextureAtlasGeneration()
-{
-	return Ogre::StringConverter::parseBool(getSetting("Billboard Cloud Diffuse Color Texture Atlas Generation"));
-}
-
-unsigned int SampleConfigFile::getBillboardCloudDiffuseColorTextureSize()
-{
-	return Ogre::StringConverter::parseInt(getSetting("Billboard Cloud Diffuse Color Texture Size"));
-}
-
-unsigned int SampleConfigFile::getBillboardCloudDiffuseColorTextureAtlasSize()
-{
-	return Ogre::StringConverter::parseInt(getSetting("Billboard Cloud Diffuse Color Texture Atlas Size"));
-}
-
-bool SampleConfigFile::getBillboardCloudIndirectTextureAtlasGeneration()
-{
-	return Ogre::StringConverter::parseBool(getSetting("Billboard Cloud Diffuse Color Texture Atlas Generation"));
-}
-
-unsigned int SampleConfigFile::getBillboardCloudIndirectTextureSize()
-{
-	return Ogre::StringConverter::parseInt(getSetting("Billboard Cloud Indirect Texture Size"));
-}
-
-unsigned int SampleConfigFile::getBillboardCloudIndirectTextureAtlasSize()
-{
-	return Ogre::StringConverter::parseInt(getSetting("Billboard Cloud Indirect Texture Atlas Size"));
+Ogre::String SampleConfigFile::getBillboardCloudMeshPrefixName()
+{
+	return getSetting("Billboard Cloud Mesh Prefix Name");
+}
+
+Ogre::String SampleConfigFile::getBillboardCloudBillboardMaterialPrefixName()
+{
+	return getSetting("Billboard Cloud Billboard Material Prefix Name");
+}
+
+Ogre::String SampleConfigFile::getBillboardCloudBillboardGroupMaterialPrefixName()
+{
+	return getSetting("Billboard Cloud Billboard Group Material Prefix Name");
+}
+
+Ogre::String SampleConfigFile::getBillboardCloudBillboardTextureUnit0PrefixName()
+{
+	return getSetting("Billboard Cloud Billboard Texture Unit 0 Prefix Name");
+}
+
+Ogre::String SampleConfigFile::getBillboardCloudBillboardGroupTextureUnit0PrefixName()
+{
+	return getSetting("Billboard Cloud Billboard Group Texture Unit 0 Prefix Name");
+}
+
+Ogre::String SampleConfigFile::getBillboardCloudIndirectBillboardGroupTextureAtlasPrefixName()
+{
+	return getSetting("Billboard Cloud Indirect Billboard Group Texture Atlas Prefix Name");
+}
+
+unsigned int SampleConfigFile::getBillboardCloudDiffuseColorEntityTextureAtlasBitRange()
+{
+	return Ogre::StringConverter::parseInt(getSetting("Billboard Cloud Diffuse Color Entity Texture Atlas Bit Range"));
+}
+
+unsigned int SampleConfigFile::getBillboardCloudDiffuseColorBillboardGroupTextureSize()
+{
+	return Ogre::StringConverter::parseInt(getSetting("Billboard Cloud Diffuse Color Billboard Group Texture Size"));
 }
 
@@ -182,4 +187,34 @@
 }
 
+unsigned int SampleConfigFile::getBillboardCloudIndirectBillboardGroupTextureAtlasBitRange()
+{
+	return Ogre::StringConverter::parseInt(getSetting("Billboard Cloud Indirect Billboard Group Texture Atlas Bit Range"));
+}
+
+unsigned int SampleConfigFile::getBillboardCloudIndirectBillboardGroupTextureAtlasSize()
+{
+	return Ogre::StringConverter::parseInt(getSetting("Billboard Cloud Indirect Billboard Group Texture Atlas Size"));
+}
+
+unsigned int SampleConfigFile::getBillboardCloudIndirectBillboardGroupTextureSize()
+{
+	return Ogre::StringConverter::parseInt(getSetting("Billboard Cloud Indirect Billboard Group Texture Size"));
+}
+
+unsigned int SampleConfigFile::getBillboardCloudDiffuseColorBillboardGroupTextureAtlasSize()
+{
+	return Ogre::StringConverter::parseInt(getSetting("Billboard Cloud Diffuse Color Billboard Group Texture Atlas Size"));
+}
+
+bool SampleConfigFile::getBillboardCloudDiffuseColorBillboardGroupTextureAtlasGeneration()
+{
+	return Ogre::StringConverter::parseBool(getSetting("Billboard Cloud Diffuse Color Billboard Group Texture Atlas Generation"));
+}
+
+bool SampleConfigFile::getBillboardCloudIndirectBillboardGroupTextureAtlasGeneration()
+{
+	return Ogre::StringConverter::parseBool(getSetting("Billboard Cloud Indirect Billboard Group Texture Atlas Generation"));
+}
+
 bool SampleConfigFile::getBillboardCloudGroupedBillboards()
 {
@@ -187,3 +222,78 @@
 }
 
-}
+bool SampleConfigFile::getBillboardCloudDiffuseColorEntityTextureAtlasGeneration()
+{
+	return Ogre::StringConverter::parseBool(getSetting("Billboard Cloud Diffuse Color Entity Texture Atlas Generation"));
+}
+
+Ogre::String SampleConfigFile::getBillboardCloudDiffuseColorEntityTexturePrefixName()
+{
+	return getSetting("Billboard Cloud Diffuse Color Entity Texture Prefix Name");
+}
+
+Ogre::String SampleConfigFile::getBillboardCloudDiffuseColorEntityTextureAtlasPrefixName()
+{
+	return getSetting("Billboard Cloud Diffuse Color Entity Texture Atlas Prefix Name");
+}
+
+unsigned int SampleConfigFile::getBillboardCloudDiffuseColorEntityTextureAtlasSize()
+{
+	return Ogre::StringConverter::parseInt(getSetting("Billboard Cloud Diffuse Color Entity Texture Atlas Size"));
+}
+
+unsigned int SampleConfigFile::getBillboardCloudDiffuseColorEntityTextureAtlasNumSamples()
+{
+	return Ogre::StringConverter::parseInt(getSetting("Billboard Cloud Diffuse Color Entity Texture Atlas NumSamples"));
+}
+
+bool SampleConfigFile::getBillboardCloudDiffuseColorMergedBillboardsTextureAtlasGeneration()
+{
+	return Ogre::StringConverter::parseBool(getSetting("Billboard Cloud Diffuse Color Merged Billboards Texture Atlas Generation"));
+}
+
+Ogre::String SampleConfigFile::getBillboardCloudDiffuseColorMergedBillboardsTextureAtlasPrefixName()
+{
+	return getSetting("Billboard Cloud Diffuse Color Merged Billboards Texture Atlas Prefix Name");
+}
+
+unsigned int SampleConfigFile::getBillboardCloudDiffuseColorMergedBillboardsTextureAtlasBitRange()
+{
+	return Ogre::StringConverter::parseInt(getSetting("Billboard Cloud Diffuse Color Merged Billboards Texture Atlas Bit Range"));
+}
+
+unsigned int SampleConfigFile::getBillboardCloudDiffuseColorMergedBillboardsTextureAtlasSize()
+{
+	return Ogre::StringConverter::parseInt(getSetting("Billboard Cloud Diffuse Color Merged Billboards Texture Atlas Size"));
+}
+
+unsigned int SampleConfigFile::getBillboardCloudDiffuseColorMergedBillboardsTextureSize()
+{
+	return Ogre::StringConverter::parseInt(getSetting("Billboard Cloud Diffuse Color Merged Billboards Texture Size"));
+}
+
+bool SampleConfigFile::getBillboardCloudIndirectMergedBillboardsTextureAtlasGeneration()
+{
+	return Ogre::StringConverter::parseBool(getSetting("Billboard Cloud Indirect Merged Billboards Texture Atlas Generation"));
+}
+
+Ogre::String SampleConfigFile::getBillboardCloudIndirectMergedBillboardsTextureAtlasPrefixName()
+{
+	return getSetting("Billboard Cloud Indirect Merged Billboards Texture Atlas Prefix Name");
+}
+
+unsigned int SampleConfigFile::getBillboardCloudIndirectMergedBillboardsTextureAtlasBitRange()
+{
+	return Ogre::StringConverter::parseInt(getSetting("Billboard Cloud Indirect Merged Billboards Texture Atlas Bit Range"));
+}
+
+unsigned int SampleConfigFile::getBillboardCloudIndirectMergedBillboardsTextureAtlasSize()
+{
+	return Ogre::StringConverter::parseInt(getSetting("Billboard Cloud Indirect Merged Billboards Texture Atlas Size"));
+}
+
+unsigned int SampleConfigFile::getBillboardCloudIndirectMergedBillboardsTextureSize()
+{
+	return Ogre::StringConverter::parseInt(getSetting("Billboard Cloud Indirect Merged Billboards Texture Size"));
+}
+
+}
